path = require 'path'
Render = require './render'
parser = require './parser'
getFileList = require './getFileList'

module.exports = coffdoc = (docName, sourceFolder, docFolder) ->

    docObj = {}
    allFileList = getFileList sourceFolder

    docObj.documentName = docName
    docObj.time = (new Date).toLocaleString()
    docObj.allComment = []

    console.log 'coffdoc Parsering:'

    for index, filepath of allFileList
        console.log "  #{(parseInt index)+1}/#{allFileList.length}:
                        `#{filepath}`"
        try
            result = parser.parse filepath
        catch e
            console.error "Parser #{filepath} Error: #{e}"

        docObj.allComment.push result... if result?

    render = new Render
        renderObj: docObj
        renderPath: docFolder

    try
        render.render2md 'doc.md'
        render.render2html 'doc.html'
        console.log 'Done.'
    catch e
        console.error "Error: #{e}"
