fs = require 'fs'
path = require 'path'
swig = require 'swig'
mkdirp = require 'mkdirp'

class Render
    constructor: (options) ->
        for k, v of options
            this[k] = v

        @templatePath = path.join __dirname, 'template/'

        @mkdir(@renderPath)

    mkdir: (renderPath) ->
        mkdirp renderPath, (err) ->
            if err
                throw 'mkdir error!'

    render: (filename, templateFileName) ->
        templateFile = path.join @templatePath, templateFileName
        data = swig.renderFile templateFile, @renderObj
        fs.writeFile (path.join @renderPath, filename), data

    render2md: (filename) ->
        @render filename, 'template.md'

    render2html: (filename) ->
        @render filename, 'template.html'

    # render2json: () ->
    #     console.log JSON.stringify @renderObj


module.exports = Render
